net.sourceforge.pmd.util

## Class StringUtilTest

- java.lang.Object
- - net.sourceforge.pmd.util.StringUtilTest

-     public class StringUtilTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtilTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testReplaceStringWithString()`
    `void` | `testReplaceStringWithString2()`
    `void` | `testReplaceWithMultipleChars()`
    `void` | `testReplaceWithNull()`
    `void` | `testReplaceWithOneChar()`
    `void` | `testUTF8NotSupported()` Usually you would set the system property "net.sourceforge.pmd.supportUTF8" to either "no" or "yes", to switch UTF8 support.
    `void` | `testUTF8Supported()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtilTest

          public StringUtilTest()

  - ### Method Detail

    - #### testReplaceWithOneChar

          public void testReplaceWithOneChar()

    - #### testReplaceWithMultipleChars

          public void testReplaceWithMultipleChars()

    - #### testReplaceStringWithString

          public void testReplaceStringWithString()

    - #### testReplaceStringWithString2

          public void testReplaceStringWithString2()

    - #### testReplaceWithNull

          public void testReplaceWithNull()

    - #### testUTF8NotSupported

          public void testUTF8NotSupported()

      Usually you would set the system property "net.sourceforge.pmd.supportUTF8" to either "no" or "yes", to switch UTF8 support. e.g. `System.setProperty("net.sourceforge.pmd.supportUTF8","yes");`

    - #### testUTF8Supported

          public void testUTF8Supported()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.